File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes BEA/Weblogic and the fly likes unable to deploy application on wls8.1 which was working fine on wls6.1 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Spring in Action this week in the Spring forum!
JavaRanch » Java Forums » Products » BEA/Weblogic
Bookmark "unable to deploy application on wls8.1 which was working fine on wls6.1" Watch "unable to deploy application on wls8.1 which was working fine on wls6.1" New topic
Author

unable to deploy application on wls8.1 which was working fine on wls6.1

tarun jajoo
Greenhorn

Joined: Oct 16, 2003
Posts: 3
Hi All,
i am unable to deploy my application (myap.ear)on wls8.1 which was deployed and running fine on weblogic 6.1.The application contains one (ejb1.jar) while trying to deploy the application i get the following exceptions.i will appreciate every response on this problem.
Thanks in advance.
Tarun Jajoo
exception which i get when i try to deploy application are:
<Oct 15, 2003 2:10:23 PM GMT+05:30> <Error> <Deployer> <BEA-149201> <Failed to complete the deployment task with ID 2 for the application OSS_TTRI.
java.lang.NoClassDefFoundError: com/metasolv/ttri/TroubleTicketValueImpl
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:502)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:12
3)
at weblogic.utils.classloaders.GenericClassLoader.findLocalClass(Generic
ClassLoader.java:476)
at weblogic.utils.classloaders.GenericClassLoader.findClass(GenericClass
Loader.java:181)
at java.lang.ClassLoader.loadClass(ClassLoader.java:299)
at java.lang.ClassLoader.loadClass(ClassLoader.java:255)
at weblogic.utils.classloaders.GenericClassLoader.loadClass(GenericClass
Loader.java:223)
at weblogic.ejb20.deployer.EJBModule.setupEJBToImplClassDependencies(EJB
Module.java:1010)
at weblogic.ejb20.deployer.EJBModule.prepare(EJBModule.java:460)
at weblogic.j2ee.J2EEApplicationContainer.prepareModule(J2EEApplicationC
ontainer.java:2847)
at weblogic.j2ee.J2EEApplicationContainer.prepareModules(J2EEApplication
Container.java:1534)
at weblogic.j2ee.J2EEApplicationContainer.prepare(J2EEApplicationContain
er.java:1188)
at weblogic.j2ee.J2EEApplicationContainer.prepare(J2EEApplicationContain
er.java:1031)
at weblogic.management.deploy.slave.SlaveDeployer$ComponentActivateTask.
prepareContainer(SlaveDeployer.java:2634)
at weblogic.management.deploy.slave.SlaveDeployer$ActivateTask.createCon
tainer(SlaveDeployer.java:2584)
at weblogic.management.deploy.slave.SlaveDeployer$ActivateTask.prepare(S
laveDeployer.java:2506)
at weblogic.management.deploy.slave.SlaveDeployer.processPrepareTask(Sla
veDeployer.java:833)
at weblogic.management.deploy.slave.SlaveDeployer.prepareDelta(SlaveDepl
oyer.java:542)
at weblogic.management.deploy.slave.SlaveDeployer.prepareUpdate(SlaveDep
loyer.java:500)
at weblogic.drs.internal.SlaveCallbackHandler$1.execute(SlaveCallbackHan
dler.java:25)
at weblogic.kernel.ExecuteThread.execute(ExecuteThread.java:197)
at weblogic.kernel.ExecuteThread.run(ExecuteThread.java:170)
--------------- nested within: ------------------
weblogic.management.ManagementException: - with nested exception:
[java.lang.NoClassDefFoundError: com/metasolv/ttri/TroubleTicketValueImpl]
at weblogic.management.deploy.slave.SlaveDeployer$ActivateTask.prepare(S
laveDeployer.java:2523)
at weblogic.management.deploy.slave.SlaveDeployer.processPrepareTask(Sla
veDeployer.java:833)
at weblogic.management.deploy.slave.SlaveDeployer.prepareDelta(SlaveDepl
oyer.java:542)
at weblogic.management.deploy.slave.SlaveDeployer.prepareUpdate(SlaveDep
loyer.java:500)
at weblogic.drs.internal.SlaveCallbackHandler$1.execute(SlaveCallbackHan
dler.java:25)
at weblogic.kernel.ExecuteThread.execute(ExecuteThread.java:197)
at weblogic.kernel.ExecuteThread.run(ExecuteThread.java:170)
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: unable to deploy application on wls8.1 which was working fine on wls6.1